Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eteks.forum
Class Message

    java.lang.Object
      com.eteks.forum.Message

Direct Known Subclasses:
  MessageForum

    public class Message

extends java.lang.Object

Message du forum avec son auteur, son sujet, son texte et sa date de creation.

Constructor Summary
`Message(Utilisateur auteur, java.lang.String sujet, java.lang.String texte)`

Method Summary
`boolean` | `estEcritPar(Utilisateur auteur)`
`java.lang.String` | `getAuteur()`
`java.util.Date` | `getDateCreation()`
`java.lang.String` | `getSujet()`
`java.lang.String` | `getTexte()`
`void` | `setAuteur(java.lang.String auteur)`
`void` | `setAuteur(Utilisateur auteur)`
`void` | `setDateCreation(java.util.Date date)`
`void` | `setSujet(java.lang.String sujet)`
`void` | `setTexte(java.lang.String texte)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Message

    public Message(Utilisateur auteur,
                   java.lang.String sujet,
                   java.lang.String texte)

Method Detail

### getAuteur

    public java.lang.String getAuteur()

### setAuteur

    public void setAuteur(java.lang.String auteur)

### setAuteur

    public void setAuteur(Utilisateur auteur)

### estEcritPar

    public boolean estEcritPar(Utilisateur auteur)

### setDateCreation

    public void setDateCreation(java.util.Date date)

### getDateCreation

    public java.util.Date getDateCreation()

### setSujet

    public void setSujet(java.lang.String sujet)

### getSujet

    public java.lang.String getSujet()

### setTexte

    public void setTexte(java.lang.String texte)

### getTexte

    public java.lang.String getTexte()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD